LibreOffice LibreOffice 6.1 SDK C/C++ API Reference

Namespaces | Functions
shlib.hxx File Reference
`#include "com/sun/star/lang/XMultiServiceFactory.hpp"`
`#include "com/sun/star/registry/XRegistryKey.hpp"`
`#include "cppuhelper/cppuhelperdllapi.h"`

Go to the source code of this file.

## Namespaces
| cppu

## Functions
CPPUHELPER_DLLPUBLIC css::uno::Reference< css::uno::XInterface > | cppu::loadSharedLibComponentFactory (::rtl::OUString const &uri, ::rtl::OUString const &rPath, ::rtl::OUString const &rImplName, css::uno::Reference< css::lang::XMultiServiceFactory > const &xMgr, css::uno::Reference< css::registry::XRegistryKey > const &xKey)
| Loads a shared library component and gets the factory out of it. More...
CPPUHELPER_DLLPUBLIC void | cppu::writeSharedLibComponentInfo (::rtl::OUString const &uri, ::rtl::OUString const &rPath, css::uno::Reference< css::lang::XMultiServiceFactory > const &xMgr, css::uno::Reference< css::registry::XRegistryKey > const &xKey)
| Invokes component_writeInfo() function of specified component library. More...